/* Set up an WatsOnTV for OS/2 icon */

BaseName="WatsOnTV"                    /* Base name of this program.   */
InstallFile=BaseName||".exe"           /* Our file name                */
InstallINF=BaseName||".inf"            /* Our INF name                 */

call rxfuncadd 'SysLoadFuncs',,        /* Load the extra Rexx          */
               'REXXUTIL',,            /* functions that are required. */
               'SysLoadFuncs'
call SysLoadFuncs

CurDir=directory()                     /* Read current directory.      */
FullInstallFile=CurDir"\"InstallFile   /* Create fully specified names.*/
FullInstallINF=CurDir"\"InstallINF    
Test=Stream(FullInstallFile,,          /* Do the test to see if it     */
            "c", "query exists")       /* exists in this directory.    */

/* If not, send error message and bail out.                            */
If Test="" then do
  Call SysCls
  Say ""
  Say ""
  Say "Could not find" InstallFile "in this directory.  Change to"
  Say "the directory where" InstallFile "is installed before running"
  Say "this utility."
  Exit
end

call SysCreateObject 'WPProgram',,                        /* Classname  */
                     BaseName,,                           /* Title      */
                     '<WP_DESKTOP>',,                     /* Location   */
                     "EXENAME="FullInstallFile";"||,      /* Setup      */
                     "STARTUPDIR="CurDir";"||,
                     "OBJECTID=<"||BaseName||">;"||,
                     "HELPLIBRARY="CurDir"\"BaseName".HLP;HELPPANEL=10000;"||,
                     "ICONVIEWPOS=0,70,50,30;",,
                     'REPLACE:'

call SysCreateObject 'WPProgram',,                        /* Classname  */
                     BaseName||" User Manual",,          /* Title      */
                     '<WP_DESKTOP>',,                     /* Location   */
                     "EXENAME=VIEW.EXE;"||,               /* Setup      */
                     "STARTUPDIR="CurDir";"||,
                     "PARAMETERS="FullInstallINF";"||,
                     "OBJECTID=<"||BaseName||"_INF>;"||,
                     "ICONVIEWPOS=0,70,70,30;",,
                     'REPLACE:'

